Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 47089 - Customizer: Additional content - removed project remains in Required Projects
Customizer: Additional content - removed project remains in Required Projects
Status: CLOSED FIXED
Product: javaee
Classification: Unclassified
Component: Web Project
4.x
All All
: P3 (vote)
: 4.x
Assigned To: Martin Grebac
issues@javaee
fix-in-40, prj-ui-cand
:
Depends on: 47507 47965
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-11 12:46 UTC by Jan Horvath
Modified: 2006-03-24 09:50 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Horvath 2004-08-11 12:46:15 UTC
1. have a Web Application project
2. project properties/build/packaging project Add
Project
3. remove added project
4. project is still in properties/General/Required
Projects
Comment 1 zikmund 2004-08-19 13:59:39 UTC
No IDE restart helps!
Notice: It works fine in Java Project.
Comment 2 zikmund 2004-08-23 17:33:47 UTC
Fixed by latest Pavel's source update.
Comment 3 zikmund 2004-08-23 18:31:56 UTC
Marked as fixed by mistake -- reopening, sorry.

Notice: removing project from Compile Classpath works fine now (this
part was fixed), the part in Packaging Project | Additional Content
still remains.
Comment 4 Pavel Buzek 2004-08-25 22:41:30 UTC
At this moment additional content is not visible (47965).
Also, there is no entry for the project that you add in private
properties so build does not work. Waiting fo 47965 to continue.
Comment 5 Petr Jiricka 2004-09-01 17:45:31 UTC
The fix should be to remove the Required Projects UI from the General
panel, se also issue 47507.
Comment 6 Martin Grebac 2004-09-02 12:14:57 UTC
will look at it
Comment 7 Martin Grebac 2004-09-02 15:01:08 UTC
The java-ui-consistency is just one part of the issue. We need to make
sure the packaging reference is removed from project.xml if removed
from ui.
Comment 8 Martin Grebac 2004-09-02 17:10:48 UTC
Fixed in trunk:
Checking in CustomizerGeneral.java;
/cvs/web/project/src/org/netbeans/modules/web/project/ui/customizer/CustomizerGeneral.java,v
 <--  CustomizerGeneral.java
new revision: 1.13; previous revision: 1.12
done
Checking in CustomizerGeneral.form;
/cvs/web/project/src/org/netbeans/modules/web/project/ui/customizer/CustomizerGeneral.form,v
 <--  CustomizerGeneral.form
new revision: 1.6; previous revision: 1.5
done
Checking in Bundle.properties;
/cvs/web/project/src/org/netbeans/modules/web/project/ui/customizer/Bundle.properties,v
 <--  Bundle.properties
new revision: 1.32; previous revision: 1.31
done
Checking in CustomizerCompile.java;
/cvs/web/project/src/org/netbeans/modules/web/project/ui/customizer/CustomizerCompile.java,v
 <--  CustomizerCompile.java
new revision: 1.20; previous revision: 1.19
done
Checking in CustomizerCompile.form;
/cvs/web/project/src/org/netbeans/modules/web/project/ui/customizer/CustomizerCompile.form,v
 <--  CustomizerCompile.form
new revision: 1.11; previous revision: 1.10
done
Checking in WebProjectProperties.java;
/cvs/web/project/src/org/netbeans/modules/web/project/ui/customizer/WebProjectProperties.java,v
 <--  WebProjectProperties.java
new revision: 1.44; previous revision: 1.43
done
Comment 9 zikmund 2004-11-01 15:35:13 UTC
Verified.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo